Bug 2548 - Incorrect return from float rint (0X1.000006P+21)
Summary: Incorrect return from float rint (0X1.000006P+21)
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: math (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Joseph Myers
URL:
Keywords:
: 10089 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-04-12 22:18 UTC by H.J. Lu
Modified: 2014-07-01 06:57 UTC (History)
3 users (show)

See Also:
Host: x86_64-unknown-linux-gnu
Target: x86_64-unknown-linux-gnu
Build: x86_64-unknown-linux-gnu
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2006-04-12 22:18:47 UTC
Failure: Test: rint (0X1.000006P+21) == 0X1.000008P+21
Result:
 is:          2.09715200000000000000e+06   0x1.00000000000000000000p+21
 should be:   2.09715300000000000000e+06   0x1.00000800000000000000p+21
 difference:  1.00000000000000000000e+00   0x1.00000000000000000000p+0
 ulp       :  4.0000
 max.ulp   :  0.0000
Comment 1 Ulrich Drepper 2006-04-23 17:52:10 UTC
Suspended until somebody comes up with a patch.
Comment 2 Joseph Myers 2012-02-19 23:28:04 UTC
Patch posted: http://sourceware.org/ml/libc-alpha/2012-02/msg00397.html
Comment 3 Joseph Myers 2012-02-19 23:29:37 UTC
*** Bug 10089 has been marked as a duplicate of this bug. ***
Comment 4 Joseph Myers 2012-02-22 13:08:52 UTC
Fixed.

commit fe45ce09f366f2260aef528d37ae35070b3a2a36
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Wed Feb 22 13:01:20 2012 +0000

    Fix rintf rounding.